LibreOffice: XFramesSupplier Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFramesSupplier Interface Referencepublished

provides access to sub frames of current one More...

`import "XFramesSupplier.idl";`

Inheritance diagram for XFramesSupplier:

## Public Member Functions
XFrames | getFrames ()
| provides access to this container and to all other XFramesSupplier which are available from this node of frame tree
XFrame | getActiveFrame ()
| gets the current active frame of this container (not of any other available supplier)
void | setActiveFrame ([in] XFrame Frame)
| is called on activation of a direct sub-frame.
Public Member Functions inherited from XFrame
void | initialize ([in] com::sun::star::awt::XWindow xWindow)
| is called to initialize the frame within a window - the container window.
com::sun::star::awt::XWindow | getContainerWindow ()
| provides access to the container window of the frame.
void | setCreator ([in] XFramesSupplier Creator)
| sets the frame container that created this frame.
XFramesSupplier | getCreator ()
| provides access to the creator (parent) of this frame
string | getName ()
| access to the name property of this frame
void | setName ([in] string aName)
| sets the name of the frame.
XFrame | findFrame ([in] string aTargetFrameName, [in] long nSearchFlags)
| searches for a frame with the specified name.
boolean | isTop ()
| determines if the frame is a top frame.
void | activate ()
| activates this frame and thus the component within.
void | deactivate ()
| is called by the creator frame when another sub-frame gets activated.
boolean | isActive ()
| determines if the frame is active.
boolean | setComponent ([in] com::sun::star::awt::XWindow xComponentWindow, [in] XController xController)
| sets a new component into the frame or release an existing one from a frame.
com::sun::star::awt::XWindow | getComponentWindow ()
| provides access to the component window
XController | getController ()
| provides access to the controller
void | contextChanged ()
| notifies the frame that the context of the controller within this frame changed (i.e.
void | addFrameActionListener ([in]XFrameActionListener xListener)
| registers an event listener, which will be called when certain things happen to the components within this frame or within sub-frames of this frame.
void | removeFrameActionListener ([in] XFrameActionListener xListener)
| unregisters an event listener
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to sub frames of current one

See also
  XFrames

Developers Guide
  Office Development - Component - Frames - XFramesSupplier
  Office Development - Creating Frames Manually - Setting Components into Frame Hierarchies

## Member Function Documentation

## ◆ getActiveFrame()

XFrame getActiveFrame | ( |  | ) |

gets the current active frame of this container (not of any other available supplier)

This may be the frame itself. The active frame is defined as the frame which contains (recursively) the window with the focus. If no window within the frame contains the focus, this method returns the last frame which had the focus. If no containing window ever had the focus, the first frame within this frame is returned.

Returns
  the Frame which is active within this frame.

## ◆ getFrames()

XFrames getFrames | ( |  | ) |

provides access to this container and to all other XFramesSupplier which are available from this node of frame tree

Returns
  the collection of frames which is represented by a FramesContainer.

## ◆ setActiveFrame()

void setActiveFrame | ( | [in] XFrame | Frame | ) |

is called on activation of a direct sub-frame.

This method is only allowed to be called by a sub-frame according to XFrame::activate() or XFramesSupplier::setActiveFrame(). After this call XFramesSupplier::getActiveFrame() will return the frame specified by Frame.

In general this method first calls the method XFramesSupplier::setActiveFrame() at the creator frame with this as the current argument. Then it broadcasts the FrameActionEvent FrameAction::FRAME_ACTIVATED.

Note: Given parameter Frame must already exist inside the container (e.g., inserted by using XFrames::append())

Parameters

  Frame | the new active child frame inside this container

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XFramesSupplier.idl